Subject: Re: TREE BOOK?

From: [email-masked] (Nancy Swell)
Date: 20 Dec 1994 03:29:28 GMT

Hi Vickie,
You didn't really say if you wanted something that would include culture.
The best visual guide I have is one of the Eyewitness handbooks. 'Trees'
by Allen J. Coombes, The visual guide to more than 500 species of trees 
>from  around the world. Shows the shape and structure of the tree, leaf 
and fruit. ISBN 1-56458-072-5. I think my book was about $18.00. Very 
condensed, (more information than you think), pictures are very clear. 
Has really helped me figure out the differences between different maples
and also the oaks.....Hope this helps...............Nancy